[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Accepted dpkg (source all amd64)

Hash: SHA1

Format: 1.8
Date: Wed, 19 May 2010 07:57:14 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 568123 575158 575410 578002 578635 579722 579724 580774 580984 581315
 dpkg ( unstable; urgency=low
   [ Raphaël Hertzog ]
   * Update dpkg-buildflags to respect $XDG_CONFIG_HOME and to use
     $XDG_CONFIG_HOME/dpkg/buildflags.conf by default.
   * Update deb-substvars(5) to codify how variables containing multiple
     lines must be managed.
   * Fix boolean evaluation of Dpkg::Version so that version 0 evaluates to
     false and dpkg-shlibdeps can strip the minimal version specification.
     Closes: #579724
     Document this behaviour in the API and add non-regression test to ensure
     it's kept.
   * Let dpkg-buildflags error out when a required parameter is missing.
     Closes: #579722
   * Add Bug-Ubuntu field in DEP-3 template provided in the automatic header
     of patches in 3.0 (quilt) source packages. Thanks to Benjamin Drung
     <bdrung@ubuntu.com> for the patch. Closes: #578002
   * Update deb-override(5) by removing references to usage of sections
     to place the packages on the mirrors and by indicating that the Debian
     policy offers a list of allowed values for section and priority.
     Closes: #575410
   * Update reference to triggers.txt.gz in dpkg-trigger(1) and deb-triggers(5)
     to match the new location. Closes: #580774
   * Drop mention of PKG_CONFIG_LIBDIR in dpkg-buildpackage(1), the feature has
     been removed in 1.15.6.
   * Rename /usr/lib/dpkg/maintscript-helper into
     /usr/bin/dpkg-maintscript-helper, it is a public interface even if working
     around known limitations.
   * Add "supports" command to dpkg-maintscript-helper to ensure the wanted
     command is supported before calling it.
   [ Guillem Jover ]
   * Add powerpcspe support to ostable and triplettable.
     Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc> and
     Kyle Moffett <Kyle.D.Moffett@boeing.com>. Closes: #568123, #575158
   * Fix dpkg --root by properly stripping again the root directory from the
     path of the maintainer script to execute. Closes: #580984
   * On Linux use sync() instead of an fsync() per file on deferred extraction,
     to workaround performance degradation on ext4. Closes: #578635
   [ Gerfried Fuchs ]
   * Fix syntax error in dpkg-name. Closes: #581315
 420ab2514738462b7b10213a3de84dff13df4dd6 1221 dpkg_1.15.7.2.dsc
 50e0f02d136df495f28ab522c7afc79f1dc8126e 4921845 dpkg_1.15.7.2.tar.bz2
 f6b0eb3be544d0fabb54ce41843048c0645a77ae 377240 libdpkg-dev_1.15.7.2_amd64.deb
 c9df22429998e8b19e7d99674fce687df519d695 1918510 dpkg_1.15.7.2_amd64.deb
 b694bd54de2b8166c72e5820c744f7ca3111fd20 792554 dselect_1.15.7.2_amd64.deb
 515a0a45eb4bf1d2b4ecbc1fbb2fd5fd74dcc07c 407772 dpkg-dev_1.15.7.2_all.deb
 fb1db2c154d53dc896b665bf36200a634097bb47 582860 libdpkg-perl_1.15.7.2_all.deb
 6db728bc70b1e99732f8f7801ce5760b5fccb1143d90b8d863b1e99b87474aa7 1221 dpkg_1.15.7.2.dsc
 d3235cbcd5580c4b8d83b6dcf3ab71a076178bcca327c1339a1f95a8324103a5 4921845 dpkg_1.15.7.2.tar.bz2
 b635959be15b837a4e3ffddb61ef606e8ae523ea8f77a42dd3bcf856d892975d 377240 libdpkg-dev_1.15.7.2_amd64.deb
 eb4499b7d46a275f23307f2ac2100c8b635884be2ca58d7d5fe2afdaebb72e0b 1918510 dpkg_1.15.7.2_amd64.deb
 b38f2454ae934d7c35e9404686c02290b54b941556643fde465d41d22116c0e1 792554 dselect_1.15.7.2_amd64.deb
 889c3311165f370e1251b00fec283b94f73c09add812bd2e20756bf94e16a0f7 407772 dpkg-dev_1.15.7.2_all.deb
 4d08e26e78a64771c334623ced12a62e58ab36c9f811b68dfacfe64acbaaf7b4 582860 libdpkg-perl_1.15.7.2_all.deb
 0153b46014452aad73a53e76698a19b1 1221 admin required dpkg_1.15.7.2.dsc
 bcd5c89035049352df03ebc75464e807 4921845 admin required dpkg_1.15.7.2.tar.bz2
 b3ecd33aa1fb9b2650fa5bc5ff16c5a7 377240 libdevel optional libdpkg-dev_1.15.7.2_amd64.deb
 44002bb70fda5c3275b6801f62a45664 1918510 admin required dpkg_1.15.7.2_amd64.deb
 0fb773d6db419958469662c075bd83fd 792554 admin optional dselect_1.15.7.2_amd64.deb
 efb65b21888ab7f4ca4bc4b1448c6d8e 407772 utils optional dpkg-dev_1.15.7.2_all.deb
 980504122618351c753737f4f1925bd2 582860 perl optional libdpkg-perl_1.15.7.2_all.deb

Version: GnuPG v1.4.10 (GNU/Linux)


  to main/d/dpkg/dpkg-dev_1.15.7.2_all.deb
  to main/d/dpkg/dpkg_1.15.7.2.dsc
  to main/d/dpkg/dpkg_1.15.7.2.tar.bz2
  to main/d/dpkg/dpkg_1.15.7.2_amd64.deb
  to main/d/dpkg/dselect_1.15.7.2_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.15.7.2_amd64.deb
  to main/d/dpkg/libdpkg-perl_1.15.7.2_all.deb

Reply to: